"""

    formConfigurationManager.py
    $Author: payne $
    $Date: 2002/02/20 13:56:46 $

    This class manages the configuration form for
    the STLDAPManager.

Copyright (C) 2002 Association of Universities for Research in
Astronomy (AURA).  See LICENSE.txt for the usual disclaimers.

"""

__version__ = '$Revision: 1.12 $'[11:-2]

from Globals import DTMLFile, InitializeClass
from AccessControl import ClassSecurityInfo
from LDAPDirectory import LDAPDirectory

from urllib import splitnport

class formConfigurationManager:

    manage_options = ( {'label':'Configure', 'action':'manage_configure',
                        'help': ('STLDAPManager', 'Add.stx')},)

    security = ClassSecurityInfo()

    security.declareProtected('LDAP Manage Schema', 'manage_configureForm')
    security.declareProtected('LDAP Manage Schema', 'manage_configure')

    manage_configureForm = DTMLFile('dtml/configure', globals())

    def manage_configure( self, REQUEST=None):
        """
            Manage STLDAPManager properties.
        """
        
        message = ''
        if REQUEST.has_key('updateConfiguration'):
            if not REQUEST.has_key('cancel'):
                self.title = REQUEST.get( 'title', '' )

                ldapServer          = REQUEST.get( 'ldapServer' )
                directoryBase       = REQUEST.get( 'directoryBase' )
                personSearchBase    = REQUEST.get( 'personSearchBase' )
                orgUnitBrowseBase   = REQUEST.get( 'orgUnitBrowseBase' )
                groupBrowseBase     = REQUEST.get( 'groupBrowseBase' )
                zopeRoleSearchBase  = REQUEST.get( 'zopeRoleSearchBase' )
                zopeRoleSearchScope = REQUEST.get( 'zopeRoleSearchScope' )

                self.LDAPDirectory.setServer( ldapServer )
                self.LDAPDirectory.setDirectoryBase( directoryBase )

                if personSearchBase:
                    self.LDAPDirectory.setPersonSearchBase( personSearchBase )
                else:
                    self.LDAPDirectory.setPersonSearchBase( ldapDirectoryBase )

                if orgUnitBrowseBase:
                    self.LDAPDirectory.setOrgUnitBrowseBase( orgUnitBrowseBase )
                else:
                    self.LDAPDirectory.setOrgUnitBrowseBase( ldapDirectoryBase )

                if groupBrowseBase:
                    self.LDAPDirectory.setGroupBrowseBase( groupBrowseBase )
                else:
                    self.LDAPDirectory.setGroupBrowseBase( ldapDirectoryBase )

                if zopeRoleSearchBase:
                    self.LDAPDirectory.setZopeRoleSearchBase(zopeRoleSearchBase)
                else:
                    self.LDAPDirectory.setZopeRoleSearchBase( directoryBase )

                self.LDAPDirectory.setZopeRoleSearchScope(zopeRoleSearchScope)

                message = 'Updated configuration.'

        REQUEST.set( 'LDAPDirectory', self.LDAPDirectory )
        return self.manage_configureForm( self, REQUEST,
                                          manage_tabs_message=message)

InitializeClass(formConfigurationManager)
