"""

    Module: $RCSfile: TestPeopleList.py,v $
    Author: $Author: stevray $
    Date:   $Date: 2002/02/13 18:24:08 $
    
Copyright (C) 2002 Association of Universities for Research in
Astronomy (AURA).  See LICENSE.txt for the usual disclaimers.

"""
__version__ = '$Revision: 1.6 $'[11:-2]

import sys
sys.path.insert(0,'..')

from TestDirectory import getTestDirectory
from Connection import *
from STLDAPUtilities import *
from PeopleList import PeopleList
import unittest

class testPeopleList(unittest.TestCase):
    """ Tests the Authenticated User class in the Conection module """

    def setUp(self):
        self.directory = getTestDirectory()
        self.user = AuthenticatedUser('testadmin', 'testadmin',
                       self.directory)

    def test01(self):
        """01 testPeopleList: creating object """
        peopleList = PeopleList( self.user, 'testadmin' )
        self.failUnless(peopleList)

    def test02(self):
        """ 02 testPeopleList: sort by uid """
        peopleList = PeopleList( self.user, 'user' )
        tmp = peopleList.sortBy('uid')
        self.failUnless(tmp[0]['uid'][0].lower() == 'usera')

    def test03(self):
        """ 03 testPeopleList: searching by ou """
        peopleList = PeopleList(self.user, 'ou=ST ScI,o=test')
        self.failUnless( peopleList.value()[0:10] == 'User, Anne' )

    def tearDown(self):
        self.user.unbind()

if __name__ == '__main__':
    
    tests = unittest.makeSuite(testPeopleList, 'test')
    unittest.TextTestRunner(verbosity=2).run(tests)
