"""

    Module: $RCSfile: TestSuite.py,v $
    Author: $Author: stevray $
    Date:   $Date: 2002/02/13 18:24:08 $
    
Copyright (C) 2002 Association of Universities for Research in
Astronomy (AURA).  See LICENSE.txt for the usual disclaimers.

"""
__version__ = '$Revision: 1.12 $'[11:-2]

import sys
sys.path.insert(0,'..')

import unittest

from TestAttributeSchema import testAttributeSchema
from TestUtilities import testUtilities
from TestSyntax import testSyntax
from TestAnonymousUser import testAnonymousUser
from TestAuthenticatedUser import testAuthenticatedUser
from TestManagedSchema import testManagedSchema
from TestLDAPSchema import testLDAPSchema
from TestLDIFAttributeParser import testLDIFAttributeParser
from TestLDIFObjectParser import testLDIFObjectParser
from TestLDAPObject import testLDAPObject
from TestManagedRoles import testManagedRoles
from TestRequest import testRequest
from TestPeopleList import testPeopleList
from TestZSchema import testZSchema
from TestZRoles import testZRoles

def suite():

    utilities = unittest.makeSuite(testUtilities, 'test')
    syntax = unittest.makeSuite(testSyntax, 'test')
    attributeSchema = unittest.makeSuite(testAttributeSchema, 'test')
    anonymousUser = unittest.makeSuite(testAnonymousUser, 'test')
    authenticatedUser = unittest.makeSuite(testAuthenticatedUser, 'test')
    managedSchema = unittest.makeSuite(testManagedSchema, 'test')
    ldapSchema = unittest.makeSuite(testLDAPSchema, 'test')
    ldifAttributeParser = unittest.makeSuite(testLDIFAttributeParser, 'test')
    ldifObjectParser = unittest.makeSuite(testLDIFObjectParser, 'test')
    ldapObject = unittest.makeSuite(testLDAPObject, 'test' )
    managedRoles = unittest.makeSuite(testManagedRoles, 'test' )
    request = unittest.makeSuite(testRequest, 'test')
    peopleList = unittest.makeSuite(testPeopleList, 'test')
    zSchema = unittest.makeSuite(testZSchema, 'test')
    zRoles = unittest.makeSuite(testZRoles, 'test' )
    
    suite = unittest.TestSuite()

    suite.addTest(utilities)
    suite.addTest(syntax)
    suite.addTest(attributeSchema)
    suite.addTest(anonymousUser)
    suite.addTest(authenticatedUser)
    suite.addTest(managedSchema)
    suite.addTest(ldapSchema)
    suite.addTest(ldifAttributeParser)
    suite.addTest(ldifObjectParser)
    suite.addTest(ldapObject)
    suite.addTest(managedRoles)
    suite.addTest(request)
    suite.addTest(peopleList)
    suite.addTest(zSchema)
    suite.addTest(zRoles)

    return suite

if __name__ == '__main__':

    unittest.TextTestRunner(verbosity=2).run(suite())
