"""

    Module: $RCSfile: TestSyntax.py,v $
    Author: $Author: payne $
    Date:   $Date: 2002/04/18 14:54:38 $
    
Copyright (C) 2002 Association of Universities for Research in
Astronomy (AURA).  See LICENSE.txt for the usual disclaimers.

"""
__version__ = '$Revision: 1.4 $'[11:-2]

import sys
sys.path.insert(0,'..')

import unittest
import STLDAPSyntax

class testSyntax(unittest.TestCase):

    def setUp(self):
        self.OID = '1.3.6.1.4.1.1466.115.121.1.24'
        self.Name = 'GeneralizedTime'
        
    def test01(self):
        """ 01 STLDAPSyntax: testing isValidOID with valid OID """
        self.failUnless(STLDAPSyntax.isValidOID(self.OID))

    def test02(self):
        """ 02 STLDAPSyntax: testing isValidOID with invalid OID """
        self.failIf(STLDAPSyntax.isValidOID('1.3.6.1.4.1.1.115.121.1.24'))

    def test03(self):
        """ 03 STLDAPSyntax: testing getNameFromOID """
        self.failUnless(STLDAPSyntax.getNameFromOID(self.OID) == self.Name)

    def test04(self):
        """ 04 STLDAPSyntax: testing getOIDFromName """
        self.failUnless(STLDAPSyntax.getOIDFromName(self.Name) == self.OID)

    def test05(self):
        """ 05 STLDAPSyntax: testing getCanonicalName """
        self.failUnless(STLDAPSyntax.getCanonicalName('GENERALIZEDTIME') == self.Name)

    def test06(self):
        """ 06 STLDAPSyntax: testing validity of OID's with {nnn} on the end """
        OID = "1.3.6.1.4.1.1466.115.121.1.15{256}"
        self.failUnless(STLDAPSyntax.isValidOID(OID))

    def test07(self):
        """ 07 STLDAPSyntax: testing name of OID's with {nnn} on the end """
        OID = "1.3.6.1.4.1.1466.115.121.1.15{256}"
        self.failUnless(STLDAPSyntax.getNameFromOID(OID) == "DirectoryString")

if __name__ == '__main__':
    
    tests = unittest.makeSuite(testSyntax, 'test')
    unittest.TextTestRunner(verbosity=2).run(tests)
